Page MenuHomePhabricator

Use Wikimedia REST API for accessing page data in Content Translation
Closed, ResolvedPublic1 Estimate Story Points

Description

Explore and plan a migration to Wikimedia REST API to simplify and improve some of the cxserver operations to fetch HTML and annotate with unique ids for page sections.

The apis are documented at https://rest.wikimedia.org/en.wikipedia.org/v1/?doc

Details

Related Gerrit Patches:

Event Timeline

santhosh created this task.Mar 11 2015, 3:49 AM
santhosh raised the priority of this task from to Medium.
santhosh updated the task description. (Show Details)
santhosh added a subscriber: santhosh.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 11 2015, 3:49 AM
Arrbee set Security to None.
Arrbee assigned this task to santhosh.Apr 21 2015, 9:21 AM
Arrbee raised the priority of this task from Medium to High.
Arrbee added a project: Technical-Debt.
Arrbee added a subscriber: Arrbee.
Nikerabbit edited a custom field.Apr 21 2015, 9:26 AM

We are keen to switch off the old cache update jobs within the next two weeks. Once we do so, requests to the old API will become slower, so it would be great if you could switch to RB before then.

Change 207039 had a related patch set uploaded (by Santhosh):
Use Wikimedia REST API for accessing page data in Content Translation

https://gerrit.wikimedia.org/r/207039

santhosh moved this task from Backlog to In Progress on the LE-Sprint-86 board.Apr 28 2015, 7:02 AM
santhosh moved this task from In Progress to In Review on the LE-Sprint-86 board.

Change 207039 merged by jenkins-bot:
Use Wikimedia REST API for accessing page data in Content Translation

https://gerrit.wikimedia.org/r/207039

Change 209679 had a related patch set uploaded (by Santhosh):
RESTBase URL: Use different placeholder name for title and lang

https://gerrit.wikimedia.org/r/209679

Change 209679 merged by jenkins-bot:
RESTBase URL: Use different placeholder name for title and lang

https://gerrit.wikimedia.org/r/209679

@santhosh, is this already deployed / is cxserver already switched to the REST API?

santhosh closed this task as Resolved.May 15 2015, 6:45 AM

Deployed y'day in production. cxserver now uses REST API.
Closing.

santhosh moved this task from In Review to Done on the LE-Sprint-86 board.May 25 2015, 8:06 AM